---
lang: en
title: 'API docs: context.resolutionsession.pushinjection'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.resolutionsession.pushinjection.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionSession](./context.resolutionsession.md) &gt; [pushInjection](./context.resolutionsession.pushinjection.md)

## ResolutionSession.pushInjection() method

Push the injection onto the session

<b>Signature:</b>

```typescript
pushInjection(injection: Readonly<Injection>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  injection | <code>Readonly&lt;Injection&gt;</code> | Injection The current injection |

<b>Returns:</b>

`void`


